Bug 1480960 - (golang-github-BurntSushi-xgb) Review Request: golang-github-BurntSushi-xgb - XGB is the X protocol Go language Binding
Review Request: golang-github-BurntSushi-xgb - XGB is the X protocol Go langu...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DeepinDEPackageReview startdde deepin-api
  Show dependency treegraph
 
Reported: 2017-08-13 04:20 EDT by sensor.wen
Modified: 2017-12-31 20:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-08-13 16:36:17 EDT
License is not a valid license name. See https://fedoraproject.org/wiki/Licensing:Main#Software_License_List.

It seems the %shortcommit should be used in Release: https://fedoraproject.org/wiki/PackagingDrafts/Go#Hashed_revisions.

Summary should be without a dot at the end, %description should have a dot.

I think debuginfo should be produced: https://fedoraproject.org/wiki/PackagingDrafts/Go#Debuginfo.
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-13 16:57:15 EDT
> I think debuginfo should be produced
Nevermind, please ignore.
Comment 3 sensor.wen 2017-08-14 11:21:31 EDT
Diff: https://github.com/FZUG/repo/commit/244de033cf54514c0c240dba1f3caa64d4825221

Thanks, I fixed license and release tag.
Comment 4 Robert-André Mauchin 2017-08-15 07:11:50 EDT
Hello,

Although xgbutils is under WTFPL license, the xgb package is under a BSD Clause 3 license. Thus you sould fix the license tag again.

Although there is only one testing file, you should have kept the original gofed structure: nothing tells you more tests won't be added in the future, it would be simpler to update.

The tests in %check do not make sense, there should only be one since there's only one _test.go file, the one you commented out: %gotest %{import_path}/xproto
which fails because we're in a chroot and do not have access to the display.

Rpmlint error: xproto_test.go has an executable bit, you should install it with "install -m 644"


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "do What The Fuck you want to Public License
     (v2)", "Unknown or generated". 68 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/golang-github-
     BurntSushi-xgb/review-golang-github-BurntSushi-xgb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com/BurntSushi(golang-github-BurntSushi-
     xgb-devel, golang-github-BurntSushi-toml-devel, golang-github-
     BurntSushi-xgbutil-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-BurntSushi-xgb-devel , golang-github-BurntSushi-xgb-unit-test-
     devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-BurntSushi-xgb-devel-0-0.1.git27f1227.fc27.noarch.rpm
          golang-github-BurntSushi-xgb-unit-test-devel-0-0.1.git27f1227.fc27.x86_64.rpm
          golang-github-BurntSushi-xgb-0-0.1.git27f1227.fc27.src.rpm
golang-github-BurntSushi-xgb-unit-test-devel.x86_64: W: no-documentation
golang-github-BurntSushi-xgb-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/BurntSushi/xgb/xproto/xproto_test.go
3 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
golang-github-BurntSushi-xgb-unit-test-devel.x86_64: W: no-documentation
golang-github-BurntSushi-xgb-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/BurntSushi/xgb/xproto/xproto_test.go
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 6 Robert-André Mauchin 2017-08-15 12:40:57 EDT
Sorry one last thing, there one directory under WTFPL:

do What The Fuck you want to Public License (v2)
------------------------------------------------
xgb-27f122750802c950b2c869a5b63dafcf590ced95/xgbgen/COPYING

You should add it in the license tag with a comment explaining which license covers what:
 
# Everything under BSD except xgbgen
Licence: BSD and WTFPL


Otherwise everything is good. Package accepted.
Comment 7 Gwyn Ciesla 2017-08-15 17:28:44 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-xgb
Comment 8 Gwyn Ciesla 2017-08-15 17:29:00 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-BurntSushi-xgb
Comment 9 Fedora Update System 2017-10-09 11:01:13 EDT
golang-github-BurntSushi-xgb-0-0.1.git27f1227.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2156ba137c
Comment 10 Fedora Update System 2017-10-11 02:27:02 EDT
golang-github-BurntSushi-xgb-0-0.1.git27f1227.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2156ba137c

Note You need to log in before you can comment on or make changes to this bug.